

<!DOCTYPE html>

<html lang="en">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>7.3.50. reference_release &#8212; Groonga v10.1.1-31-g1e46ba6 documentation</title>
    <link rel="stylesheet" href="../../_static/groonga.css" type="text/css" />
    <link rel="stylesheet" href="../../_static/pygments.css" type="text/css" />
    
    <script id="documentation_options" data-url_root="../../" src="../../_static/documentation_options.js"></script>
    <script src="../../_static/jquery.js"></script>
    <script src="../../_static/underscore.js"></script>
    <script src="../../_static/doctools.js"></script>
    <script src="../../_static/language_data.js"></script>
    
    <link rel="shortcut icon" href="../../_static/favicon.ico"/>
    <link rel="index" title="Index" href="../../genindex.html" />
    <link rel="search" title="Search" href="../../search.html" />
    <link rel="next" title="7.3.51. register" href="register.html" />
    <link rel="prev" title="7.3.49. reference_acquire" href="reference_acquire.html" /> 
  </head><body>
<div class="header">
  <h1 class="title">
    <a id="top-link" href="../../index.html">
      <span class="project">groonga</span>
      <span class="separator">-</span>
      <span class="description">An open-source fulltext search engine and column store.</span>
    </a>
  </h1>

  <div class="other-language-links">
    <ul>
      <li><a href="../../../../ja/html/reference/commands/reference_release.html">日本語</a></li>
    </ul>
  </div>
</div>
  

    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="register.html" title="7.3.51. register"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="reference_acquire.html" title="7.3.49. reference_acquire"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" accesskey="U"><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.50. </span><code class="docutils literal notranslate"><span class="pre">reference_release</span></code></a></li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="reference-release">
<h1><span class="section-number">7.3.50. </span><code class="docutils literal notranslate"><span class="pre">reference_release</span></code><a class="headerlink" href="#reference-release" title="Permalink to this headline">¶</a></h1>
<div class="section" id="summary">
<h2><span class="section-number">7.3.50.1. </span>Summary<a class="headerlink" href="#summary" title="Permalink to this headline">¶</a></h2>
<div class="versionadded">
<p><span class="versionmodified added">New in version 10.0.4.</span></p>
</div>
<p><code class="docutils literal notranslate"><span class="pre">reference_release</span></code> releases a reference of target objects acquired
by <a class="reference internal" href="reference_acquire.html"><span class="doc">reference_acquire</span></a>.</p>
<p>This command is meaningless unless you use the reference count
mode. You can enable the reference count mode by the
<code class="docutils literal notranslate"><span class="pre">GRN_ENABLE_REFERENCE_COUNT=yes</span></code> environment variable.</p>
<p>You must call a corresponding <code class="docutils literal notranslate"><span class="pre">reference_release</span></code> for a
<a class="reference internal" href="reference_acquire.html"><span class="doc">reference_acquire</span></a> call. If you forget to call
<code class="docutils literal notranslate"><span class="pre">reference_release</span></code>, target objects by <a class="reference internal" href="reference_acquire.html"><span class="doc">reference_acquire</span></a>
are never closed automatically.</p>
</div>
<div class="section" id="syntax">
<h2><span class="section-number">7.3.50.2. </span>Syntax<a class="headerlink" href="#syntax" title="Permalink to this headline">¶</a></h2>
<p>This command takes two parameters.</p>
<p>All parameters are optional:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_release [target_name=null]
                  [recursive=yes]
</pre></div>
</div>
</div>
<div class="section" id="usage">
<h2><span class="section-number">7.3.50.3. </span>Usage<a class="headerlink" href="#usage" title="Permalink to this headline">¶</a></h2>
<p>Here is a schema definition to show usage:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>table_create Users TABLE_HASH_KEY ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Users age COLUMN_SCALAR UInt8
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Users introduction COLUMN_SCALAR ShortText
# [[0, 1337566253.89858, 0.000355720520019531], true]
table_create Ages TABLE_PAT_KEY UInt8
# [[0, 1337566253.89858, 0.000355720520019531], true]
column_create Ages user_age COLUMN_INDEX Users age
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>You must call <code class="docutils literal notranslate"><span class="pre">reference_release</span></code> with the same arguments as
corresponding <a class="reference internal" href="reference_acquire.html"><span class="doc">reference_acquire</span></a>.</p>
<p>If you call <a class="reference internal" href="reference_acquire.html"><span class="doc">reference_acquire</span></a> with <code class="docutils literal notranslate"><span class="pre">--target_name</span>
<span class="pre">Users</span> <span class="pre">--recursive</span> <span class="pre">dependent</span></code>, you must call <code class="docutils literal notranslate"><span class="pre">reference_release</span></code>
with <code class="docutils literal notranslate"><span class="pre">--target_name</span> <span class="pre">Users</span> <span class="pre">--recursive</span> <span class="pre">dependent</span></code>:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_release --target_name Users --recursive dependent
# [[0, 1337566253.89858, 0.000355720520019531], true]
# select Users ...
# load --table Users ...
reference_release --target_name Users --recursive dependent
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
</div>
<div class="section" id="parameters">
<h2><span class="section-number">7.3.50.4. </span>Parameters<a class="headerlink" href="#parameters" title="Permalink to this headline">¶</a></h2>
<p>This section describes all parameters.</p>
<div class="section" id="required-parameters">
<h3><span class="section-number">7.3.50.4.1. </span>Required parameters<a class="headerlink" href="#required-parameters" title="Permalink to this headline">¶</a></h3>
<p>There is no required parameter.</p>
</div>
<div class="section" id="optional-parameters">
<h3><span class="section-number">7.3.50.4.2. </span>Optional parameters<a class="headerlink" href="#optional-parameters" title="Permalink to this headline">¶</a></h3>
<p>There are optional parameters.</p>
<div class="section" id="target-name">
<span id="reference-release-target-name"></span><h4><span class="section-number">7.3.50.4.2.1. </span><code class="docutils literal notranslate"><span class="pre">target_name</span></code><a class="headerlink" href="#target-name" title="Permalink to this headline">¶</a></h4>
<p>Specifies a target object name. Target object is one of database,
table or column.</p>
<p>If you omit this parameter, database is the target object:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_release
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>If you specify a table name, the table is the target object:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_release --target_name Users
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
<p>If you specify a column name, the column is the target object:</p>
<p>Execution example:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>reference_release --target_name Users.age
# [[0, 1337566253.89858, 0.000355720520019531], true]
</pre></div>
</div>
</div>
<div class="section" id="recursive">
<span id="reference-release-recursive"></span><h4><span class="section-number">7.3.50.4.2.2. </span><code class="docutils literal notranslate"><span class="pre">recursive</span></code><a class="headerlink" href="#recursive" title="Permalink to this headline">¶</a></h4>
<p>Specifies whether child objects of the target object are also target
objects.</p>
<p>See <a class="reference internal" href="reference_acquire.html#reference-acquire-recursive"><span class="std std-ref">recursive</span></a> for details.</p>
</div>
</div>
</div>
<div class="section" id="return-value">
<h2><span class="section-number">7.3.50.5. </span>Return value<a class="headerlink" href="#return-value" title="Permalink to this headline">¶</a></h2>
<p>The command returns <code class="docutils literal notranslate"><span class="pre">true</span></code> as body on success such as:</p>
<div class="highlight-none notranslate"><div class="highlight"><pre><span></span>[HEADER, true]
</pre></div>
</div>
<p>If the command fails, error details are in <code class="docutils literal notranslate"><span class="pre">HEADER</span></code>.</p>
<p>See <a class="reference internal" href="../command/output_format.html"><span class="doc">Output format</span></a> for <code class="docutils literal notranslate"><span class="pre">HEADER</span></code>.</p>
</div>
</div>


            <div class="clearer"></div>
          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../../index.html">Table of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">7.3.50. <code class="docutils literal notranslate"><span class="pre">reference_release</span></code></a><ul>
<li><a class="reference internal" href="#summary">7.3.50.1. Summary</a></li>
<li><a class="reference internal" href="#syntax">7.3.50.2. Syntax</a></li>
<li><a class="reference internal" href="#usage">7.3.50.3. Usage</a></li>
<li><a class="reference internal" href="#parameters">7.3.50.4. Parameters</a><ul>
<li><a class="reference internal" href="#required-parameters">7.3.50.4.1. Required parameters</a></li>
<li><a class="reference internal" href="#optional-parameters">7.3.50.4.2. Optional parameters</a><ul>
<li><a class="reference internal" href="#target-name">7.3.50.4.2.1. <code class="docutils literal notranslate"><span class="pre">target_name</span></code></a></li>
<li><a class="reference internal" href="#recursive">7.3.50.4.2.2. <code class="docutils literal notranslate"><span class="pre">recursive</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li><a class="reference internal" href="#return-value">7.3.50.5. Return value</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="reference_acquire.html"
                        title="previous chapter"><span class="section-number">7.3.49. </span><code class="docutils literal notranslate"><span class="pre">reference_acquire</span></code></a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="register.html"
                        title="next chapter"><span class="section-number">7.3.51. </span><code class="docutils literal notranslate"><span class="pre">register</span></code></a></p>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="../../search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="register.html" title="7.3.51. register"
             >next</a> |</li>
        <li class="right" >
          <a href="reference_acquire.html" title="7.3.49. reference_acquire"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="../../index.html">Groonga v10.1.1-31-g1e46ba6 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="../../reference.html" ><span class="section-number">7. </span>Reference manual</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="../command.html" ><span class="section-number">7.3. </span>Command</a> &#187;</li>
        <li class="nav-item nav-item-this"><a href=""><span class="section-number">7.3.50. </span><code class="docutils literal notranslate"><span class="pre">reference_release</span></code></a></li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2009-2021, Brazil, Inc.
    </div>
  </body>
</html>